summaryrefslogtreecommitdiffstats
path: root/source/a/lvm2/lvm2.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/a/lvm2/lvm2.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/a/lvm2/lvm2.SlackBuild')
-rwxr-xr-xsource/a/lvm2/lvm2.SlackBuild52
1 files changed, 31 insertions, 21 deletions
diff --git a/source/a/lvm2/lvm2.SlackBuild b/source/a/lvm2/lvm2.SlackBuild
index e72897d0e..349d5486f 100755
--- a/source/a/lvm2/lvm2.SlackBuild
+++ b/source/a/lvm2/lvm2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=$(echo LVM2.*.tar.xz | cut -f 2- -d . | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -68,8 +68,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix linking of librt until upstream does it correctly :)
-zcat $CWD/build_with_udev_165_and_later.diff.gz | patch -p1 --verbose || exit 1
+# Not yet.
+#zcat $CWD/fix-build-with-udev-183.patch.gz | patch -p1 --verbose || exit 1
# uid 0 = root
# gid 6 = disk
@@ -82,7 +82,6 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--with-usrlibdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --enable-static_link \
--enable-realtime \
--with-lvm1=internal \
--enable-pkgconfig \
@@ -92,6 +91,11 @@ CFLAGS="$SLKCFLAGS" \
--with-device-uid=0 \
--with-device-gid=6 \
--with-device-mode=0660 \
+ --with-default-locking-dir=/run/lock/lvm \
+ --with-default-run-dir=/run/lvm \
+ --with-clvmd-pidfile=/run/lvm/clvmd.pid \
+ --with-cmirrord-pidfile=/run/lvm/cmirrord.pid \
+ --with-dmeventd-pidfile=/run/lvm/dmeventd.pid \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
@@ -99,9 +103,6 @@ make install DESTDIR=$PKG || exit 1
mv $PKG/etc/lvm/lvm.conf $PKG/etc/lvm/lvm.conf.new
-# Create default rundir
-mkdir -p $PKG/var/run/lvm
-
if [ -d $PKG/usr/share/man ]; then # --mandir was ignored
mv $PKG/usr/share/man $PKG/usr
rmdir $PKG/usr/share
@@ -116,27 +117,36 @@ mkdir -p $PKG/lib${LIBDIRSUFFIX}
done
)
-# The Makefile is DIW.
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
- find . -name "*.so" -type l | cut -b3- | while read file ; do
- # These two excluded files are in ./device-mapper/ subdir
- if [ "$file" != "libdevmapper-event-lvm2mirror.so" -a "$file" != "libdevmapper-event-lvm2snapshot.so" ]; then
- rm -f $file
- ln -sf $(basename ../../lib${LIBDIRSUFFIX}/${file}.?.*) $file
- fi
- done
-)
-
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/usr/doc/LVM2.$VERSION
cp -a \
COPYING* INSTALL README* VERSION WHATS_NEW \
$PKG/usr/doc/LVM2.$VERSION
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh